[trusty/master-next,trusty/lts-backport-utopic-next,vivid/master-next,wily/master-next,1/1] UBUNTU: [Tests] gcc-multilib does not exist on ppc64el
diff mbox

Message ID 1448476958-30630-2-git-send-email-apw@canonical.com
State New
Headers show

Commit Message

Andy Whitcroft Nov. 25, 2015, 6:42 p.m. UTC
We have a hard dependency on gcc-multilib which is not available on
ppc64el.  Drop this dependancy by making it arch conditional.

BugLink: http://bugs.launchpad.net/bugs/1515541
Signed-off-by: Andy Whitcroft <apw@canonical.com>
---
 debian/tests/control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Tim Gardner Nov. 25, 2015, 7:21 p.m. UTC | #1
If you apply this to Xenial, then should you add s390 ?
Andy Whitcroft Nov. 25, 2015, 11:23 p.m. UTC | #2
On Wed, Nov 25, 2015 at 12:21:15PM -0700, Tim Gardner wrote:
> If you apply this to Xenial, then should you add s390 ?

I believe not as that is a single arch platform so I do not expect to
need it.  But we will evaluate that when we enable s390x with builders.
This patch is already applied in Xenial as is.

-apw
Stefan Bader Nov. 26, 2015, 2:15 p.m. UTC | #3
Forgot/blanked we already had ppc64el in T... Seems so way in the past...

Patch
diff mbox

diff --git a/debian/tests/control b/debian/tests/control
index 49f60ee..c24efa1 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -3,5 +3,5 @@  Depends: @builddeps@, fakeroot
 Restrictions: allow-stderr
 
 Tests: ubuntu-regression-suite
-Depends: build-essential, gcc-multilib, gdb, git, bzr
+Depends: build-essential, gcc-multilib [amd64 arm64 armhf i386 powerpc], gdb, git, bzr
 Restrictions: allow-stderr, isolation-machine, breaks-testbed